=== modified file 'scripts/bug-export.py'
--- scripts/bug-export.py	2010-11-08 12:52:43 +0000
+++ scripts/bug-export.py	2011-09-18 03:51:34 +0000
@@ -7,45 +7,47 @@
 import _pythonpath
 
 import sys
-import optparse
+
+import transaction
 
 from zope.component import getUtility
-from canonical.lp import initZopeless
 from lp.registry.interfaces.product import IProductSet
-from canonical.launchpad.scripts import execute_zcml_for_scripts
 
 from lp.bugs.scripts.bugexport import export_bugtasks
-
-def main(argv):
-    parser = optparse.OptionParser(
-        description="Export bugs for a Launchpad product as XML")
-    parser.add_option('-o', '--output', metavar='FILE', action='store',
-                      help='Export bugs to this file',
-                      type='string', dest='output', default=None)
-    parser.add_option('-p', '--product', metavar='PRODUCT', action='store',
-                      help='Which product to export',
-                      type='string', dest='product', default=None)
-    parser.add_option('--include-private', action='store_true',
-                      help='Include private bugs in dump',
-                      dest='include_private', default=False)
-
-    options, args = parser.parse_args(argv[1:])
-
-    if options.product is None:
-        parser.error('No product specified')
-    output = sys.stdout
-    if options.output is not None:
-        output = open(options.output, 'wb')
-
-    execute_zcml_for_scripts()
-    ztm = initZopeless()
-
-    product = getUtility(IProductSet).getByName(options.product)
-    if product is None:
-        parser.error('Product %s does not exist' % options.product)
-
-    export_bugtasks(ztm, product, output,
-                    include_private=options.include_private)
+from lp.services.scripts.base import LaunchpadScript
+
+
+class BugExportScript(LaunchpadScript):
+
+    description = "Export bugs for a Launchpad product as XML"
+
+    def add_my_options(self):
+        self.parser.add_option(
+            '-o', '--output', metavar='FILE', action='store',
+            help='Export bugs to this file', type='string', dest='output')
+        self.parser.add_option(
+            '-p', '--product', metavar='PRODUCT', action='store',
+            help='Which product to export', type='string', dest='product')
+        self.parser.add_option(
+            '--include-private', action='store_true',
+            help='Include private bugs in dump', dest='include_private',
+            default=False)
+
+    def main(self):
+        if self.options.product is None:
+            self.parser.error('No product specified')
+        output = sys.stdout
+        if self.options.output is not None:
+            output = open(self.options.output, 'wb')
+
+        product = getUtility(IProductSet).getByName(self.options.product)
+        if product is None:
+            self.parser.error(
+                'Product %s does not exist' % self.options.product)
+
+        export_bugtasks(
+            transaction, product, output,
+            include_private=self.options.include_private)
 
 if __name__ == '__main__':
-    sys.exit(main(sys.argv))
+    BugExportScript("bug-export").run()

